petsc-3.4.2 2013-07-02

# DMMeshCreatePCICE

Create a DMMesh from PCICE files.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode DMMeshCreatePCICE(MPI_Comm comm, const int dim, const char coordFilename[], const char adjFilename[], PetscBool interpolate, const char bcFilename[], DM *mesh)

Not Collective

### Input Parameters

| dim | - The topological mesh dimension
| coordFilename | - The file containing vertex coordinates
| adjFilename | - The file containing the vertices for each element
| interpolate | - The flag for construction of intermediate elements
| bcFilename | - The file containing the boundary topology and conditions
| numBdFaces | - The number of boundary faces (or edges)
| numBdVertices | - The number of boundary vertices

### Output Parameter

mesh -The DMMesh object

### Keywords

mesh, PCICE

### See Also

DMMeshCreate()

Level:beginner
Location:src/dm/impls/mesh/meshpcice.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages